Search Gradle plugins

Version 0.9.3 (latest)

Created 04 May 2022.

Simplified support for building Quarkus extensions using Gradle

Using the plugins DSL:

plugins {
  id "io.github.sebersole.quarkus-extension" version "0.9.3"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "io.github.sebersole.quarkus:quarkus-extension-plugin:0.9.3"
  }
}

apply plugin: "io.github.sebersole.quarkus-extension"

Using the plugins DSL:

plugins {
  id("io.github.sebersole.quarkus-extension") version "0.9.3"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("io.github.sebersole.quarkus:quarkus-extension-plugin:0.9.3")
  }
}

apply(plugin = "io.github.sebersole.quarkus-extension")

Learn how to apply plugins to subprojects